org.flexdock.dockbar

## Class MinimizationAdapter

- java.lang.Object
- - org.flexdock.dockbar.MinimizationAdapter

All Implemented Interfaces:
  MinimizationManager

    public class MinimizationAdapter
    extends java.lang.Object
    implements MinimizationManager

Author:
  Christopher Butler

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.flexdock.docking.state.MinimizationManager

`MinimizationManager.Stub`

### Field Summary

### Fields inherited from interface org.flexdock.docking.state.MinimizationManager

`BOTTOM, CENTER, DEFAULT_STUB, LEFT, RIGHT, TOP, UNSPECIFIED_LAYOUT_CONSTRAINT`

### Constructor Summary

Constructors
Constructor and Description
`MinimizationAdapter()`

### Method Summary

Methods
`boolean` `close(Dockable dockable)`
`void` `preview(Dockable dockable, boolean locked)`
`void` `setMinimized(Dockable dockable, boolean minimizing, java.awt.Component window, int edge)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MinimizationAdapter

    public MinimizationAdapter()

### Method Detail

#### close

    public boolean close(Dockable dockable)

Specified by:
  `close` in interface `MinimizationManager`

#### preview

    public void preview(Dockable dockable,
               boolean locked)

Specified by:
  `preview` in interface `MinimizationManager`

#### setMinimized

    public void setMinimized(Dockable dockable,
                    boolean minimizing,
                    java.awt.Component window,
                    int edge)

Specified by:
  `setMinimized` in interface `MinimizationManager`